Bug 8497 - Editable Area loses selection when losing focus
Summary: Editable Area loses selection when losing focus
Status: RESOLVED DUPLICATE of bug 9642
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 417.x
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.fredck.com/bugs/safari/ifr...
Keywords:
Depends on:
Blocks: 9915
  Show dependency treegraph
 
Reported: 2006-04-20 04:13 PDT by Frederico Caldeira Knabben
Modified: 2006-07-18 04:31 PDT (History)
3 users (show)

See Also:


Attachments
Test Case (1.23 KB, application/octet-stream)
2006-04-20 04:14 PDT, Frederico Caldeira Knabben
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederico Caldeira Knabben 2006-04-20 04:13:30 PDT
When defining an IFRAME with an editable document, clicking outside the IFRAME and then calling IFRAME.focus(), the caret is placed in the beginning of the editable area and the previous selection is lost.

The URL shows a simple test case for it.
Comment 1 Frederico Caldeira Knabben 2006-04-20 04:14:48 PDT
Created attachment 7848 [details]
Test Case
Comment 2 Mark Rowe (bdash) 2006-07-02 07:13:41 PDT
Confirmed in WebKit 418.8 and the latest nightly. The behaviour differs slightly in the nightly in that the selection is correctly rendered as inactive when it loses focus, but upon restoration of focus the selection is still lost.
Comment 3 David Kilzer (:ddkilzer) 2006-07-17 15:14:57 PDT
This bug sounds very similar to Bug 9642.

Please check a nightly WebKit build on or after r15487 (Bug 9642 Comment #7) to see if this is fixed.
Comment 4 David Kilzer (:ddkilzer) 2006-07-17 21:41:01 PDT
This appears to be fixed now.  Tested with a locally-built r15495.  Going to mark it a duplicate of Bug 9642.



*** This bug has been marked as a duplicate of 9642 ***
Comment 5 David Kilzer (:ddkilzer) 2006-07-18 04:15:40 PDT
NOTE: I filed Bug 9982 for the blue/green background that appears in the test case on WebKit nightly builds.

Comment 6 David Kilzer (:ddkilzer) 2006-07-18 04:31:04 PDT
Bug 9984 is also related (I found an assertion failure working with the test case from this bug).